- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# mssql_db – Add or remove MSSQL databases from a remote host

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Add or remove MSSQL databases from a remote host.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7
- pymssql

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
autocommit boolean | Choices: no ← yes | Automatically commit the change only if the import succeed. Sometimes it is necessary to use autocommit=true, since some content can't be changed within a transaction.
login_host - |  | Host running the database
login_password - |  | The password used to authenticate with
login_port - | Default: 1433 | Port of the MSSQL server. Requires login_host be defined as other than localhost if login_port is used
login_user - |  | The username used to authenticate with
name - / required |  | name of the database to add or remove aliases: db
state - | Choices: present ← absent import | The database state
target - |  | Location, on the remote host, of the dump file to read from or write to. Uncompressed SQL files (`.sql`) files are supported.

## Notes

Note

- Requires the pymssql Python package on the remote host. For Ubuntu, this is as easy as pip install pymssql (See pip.)

## Examples

    # Create a new database with name 'jackdata'
    - mssql_db:
        name: jackdata
        state: present

    # Copy database dump file to remote host and restore it to database 'my_db'
    - copy:
        src: dump.sql
        dest: /tmp

    - mssql_db:
        name: my_db
        state: import
        target: /tmp/dump.sql

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Vedit Firat Arig (@vedit)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.